Bug 216665 - open office asks with which subpart to open file when opening .ppt over http://
open office asks with which subpart to open file when opening .ppt over http://
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 09:17 EST by Stefan Geuns
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 10:38:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 72068 None None None Never

  None (edit)
Description Stefan Geuns 2006-11-21 09:17:38 EST
Description of problem:
If I open a powerpoint file with openoffice through kde, OO asks me what the 
filetype is, while I said in kde open with 'presentation'. 

Version-Release number of selected component (if applicable):
2.0.2

How reproducible:


Steps to Reproduce:
1. Open a ppt file in konqueror and open with 'presentation'.
2. See how OO ask the filetype.
3.
  
Actual results:


Expected results:
OO should know that if I open a powerpoint file with 'presentation' that it is 
a powerpoint file and it should open without questions.

Additional info:
Comment 1 Caolan McNamara 2006-11-21 09:57:50 EST
attach the presentation if you can, it might be the case that there's something
special about this specific presentation if it was detected as a .ppt initially
on the simple test, but then not as one on the deeper attempt to open it by OOo

Also output of...
> rpm -q openoffice.org-impress
Comment 2 Stefan Geuns 2006-11-21 10:05:16 EST
The file is: 
http://www.win.tue.nl/~mdberg/Onderwijs/OvA2_2006/Slides/OvA2_coll1.ppt
(Actually, all files on that page do this, but I also found other files with 
the same behaviour, but I do not have those links anymore)

I just found out that kde tries to open it with: 
openoffice.org-2.0 -impress %U
If I open it with ooimpress it does work. 
If I open openoffice.org-2.0 -impress from the commandline it does go to 
impress without asking (without filename, so empty presentation).

$ rpm -q openoffice.org-impress
openoffice.org-impress-2.0.2-5.19.2

Comment 3 Caolan McNamara 2006-11-21 10:20:57 EST
openoffice.org-2.0 -impress /path/to/filename should open it as well
Comment 4 Stefan Geuns 2006-11-21 10:31:02 EST
That seems to work too, but then I have to save the file first.
If I open the file with: ooimpress %U it fails to detect too, but if I open it 
with ooimpress it does work. Same also for openoffice.org-2.0 -impress, 
without the %U it works, with it, it asks for the type first.
Maybe a kde bug instead of OOo bug? Or the default setting in fedora should be 
changed in the launching to work without the '%U'?
Comment 5 Caolan McNamara 2006-11-21 10:41:26 EST
the %U is supposed to be the field that gets replace with the filename by
KDE/GNOME, i.e. 

foome %U twiddle

turns into 

foome "/tmp/filename.ods" twiddle
Comment 6 Caolan McNamara 2006-11-28 10:38:58 EST
Upstreamed as http://www.openoffice.org/issues/show_bug.cgi?id=72068:
seems specific to typedetection of .ppt when passing http://location/foo.ppt to
OOo, problem isn't there for .doc or for .odp

Note You need to log in before you can comment on or make changes to this bug.